Hello,

our environment:
IDM Engine 3.5.1 on NetWare 6.5 SP6
groupwise driver (3.5) on NetWare 6.5 SP6
GroupWise (7.0) on a Netware cluster (6.5 SP6).

At starting the driver we receive the following error (please ignore the
authentication error - we fixed this already):

17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: Wed Apr 16 17:52:15 CEST
2008
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: domain = null
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: ndsEventID = null
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: Initializing publisher
engine
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: parseConfig>productID =
GroupWise
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: *** No Authentication
Context, this is required for a NetWare connection.
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: parseConfig>treeName =
treename
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: parseConfig>driverDN =
\treename\org\IDM\Driver Set\GroupWise
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: parseConfig>domainServer
= ngwnameserver.xxx.com\
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: parseConfig>domainPath =
GWADM:\GRPWISE\GW_xxx\DO_ADM
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: Admin Lockout of older
versions is enabled
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: cleanupGroupMembership =
false
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: syncExternalEntity = false
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: parseConfig>domainVersion
= 700
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: convertToDotFormat>in =
\treename\org\IDM\Driver Set\GroupWise
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: convertEscapeSeq>new
token = treename
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: getSegment>segment =
treename
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: convertEscapeSeq>new
token = org
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: getSegment>segment = org
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: convertEscapeSeq>new
token = IDM
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: getSegment>segment = IDM
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: convertEscapeSeq>new
token = Driver Set
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: getSegment>segment =
Driver Set
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: convertEscapeSeq>new
token = GroupWise
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: getSegment>segment =
GroupWise
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: convertToDotFormat>out =
GroupWise.Driver Set.IDM.org
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise: initGroupWise>domain =
ngwnameserver.xxx.at\GWADM:\GRPWISE\GW_xxx\DO_ADM
17:52:15 9394D180 Drvrs: Groupwise ST:GroupWise:
javax.naming.ServiceUnavailableException: This GroupWise administration
version is older than the minimum allowed by the system administrator.
at
com.novell.gw.directory.GwInitialContextFactory.ge tInitialContext(Unknown
Source)
at
javax.naming.spi.NamingManager.getInitialContext(N amingManager.java:662)
at
javax.naming.InitialContext.getDefaultInitCtx(Init ialContext.java:243)
at javax.naming.InitialContext.init(InitialContext.ja va:219)
at javax.naming.InitialContext.<init>(InitialContext. java:195)
at
javax.naming.directory.InitialDirContext.<init>(In itialDirContext.java:80)
at com.novell.gw.dirxml.driver.common.GWengine.initGr oupWise(Unknown
Source)
at com.novell.gw.dirxml.driver.common.GWengine.init(U nknown Source)
at com.novell.gw.dirxml.driver.common.GWengine.execut e(Unknown Source)
at com.novell.gw.dirxml.driver.gw.GWdriverShim.init(U nknown Source)
at com.novell.nds.dirxml.engine.Driver.startShim(Driv er.java:1285)
at com.novell.nds.dirxml.engine.Driver.initialize(Dri ver.java:254)
at com.novell.nds.dirxml.engine.Driver.<init>(Driver. java:226)
at com.novell.nds.dirxml.engine.DriverEntry.run(Drive rEntry.java:537)
at java.lang.Thread.run(Thread.java:534)

The setting of the "admin lockout of older versions" is set to "7.0.2".

I do understand the error and why it is happening. So changing the
Groupwise system setting to "7.0.0" will solve the problem. At last this
was our way. Are there any ways to bypass this issue?
For your information: our first try to enhance the enumeration of the gcv
"domainVersion" with a string like "702" did not work.

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/